-- MySQL dump 10.10
--

--
-- Current Database: `seagull`
--
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `seagull` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `seagull`;

--
-- Table structure for table `block`
--
CREATE TABLE `block` (
  `block_id` int(11) NOT NULL,
  `name` varchar(64) default NULL,
  `title` varchar(32) default NULL,
  `title_class` varchar(32) default NULL,
  `body_class` varchar(32) default NULL,
  `blk_order` smallint(6) default NULL,
  `position` varchar(16) default NULL,
  `is_enabled` smallint(6) default NULL,
  `is_cached` smallint(6) default NULL,
  `params` longtext,
  PRIMARY KEY  (`block_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `block` VALUES (1,'Navigation_Block_Navigation','Admin menu','','',1,'AdminNav',1,0,'a:9:{s:15:\"startParentNode\";s:1:\"4\";s:10:\"startLevel\";s:1:\"0\";s:14:\"levelsToRender\";s:1:\"0\";s:9:\"collapsed\";s:1:\"1\";s:10:\"showAlways\";s:1:\"1\";s:12:\"cacheEnabled\";s:1:\"1\";s:11:\"breadcrumbs\";s:1:\"0\";s:8:\"renderer\";s:14:\"SimpleRenderer\";s:8:\"template\";s:0:\"\";}'),(2,'Navigation_Block_Navigation','User menu','','',1,'MainNav',1,0,'a:9:{s:15:\"startParentNode\";s:1:\"2\";s:10:\"startLevel\";s:1:\"0\";s:14:\"levelsToRender\";s:1:\"0\";s:9:\"collapsed\";s:1:\"1\";s:10:\"showAlways\";s:1:\"1\";s:12:\"cacheEnabled\";s:1:\"1\";s:11:\"breadcrumbs\";s:1:\"0\";s:8:\"renderer\";s:14:\"SimpleRenderer\";s:8:\"template\";s:0:\"\";}'),(3,'User_Block_Login2','Login','','',5,'Right',1,0,'a:2:{s:13:\"loginTemplate\";s:15:\"blockLogin.html\";s:14:\"logoutTemplate\";s:16:\"blockLogout.html\";}'),(4,'Default_Block_Sample1','Community','','',7,'Left',1,1,'N;'),(5,'Default_Block_Sample2','Syndication','','',3,'Left',1,1,'N;'),(6,'Default_Block_LangSwitcher2','Language switcher',NULL,NULL,1,'BodyTop',1,1,'N;');

--
-- Table structure for table `block_assignment`
--
CREATE TABLE `block_assignment` (
  `block_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  PRIMARY KEY  (`block_id`,`section_id`),
  KEY `block_assignment_fk` (`block_id`),
  KEY `block_assignment_fk2` (`section_id`),
  CONSTRAINT `FK_block_assignment` FOREIGN KEY (`block_id`) REFERENCES `block` (`block_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `block_assignment` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0);

--
-- Table structure for table `block_assignment_seq`
--
CREATE TABLE `block_assignment_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `block_assignment_seq` VALUES (6);

--
-- Table structure for table `block_role`
--
CREATE TABLE `block_role` (
  `block_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL
) DEFAULT CHARSET=utf8;

INSERT INTO `block_role` VALUES (1,1),(2,-2),(3,-2),(4,-2),(5,-2),(6,-2);

--
-- Table structure for table `block_role_seq`
--
CREATE TABLE `block_role_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `block_role_seq` VALUES (2);

--
-- Table structure for table `block_seq`
--
CREATE TABLE `block_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `block_seq` VALUES (6);

--
-- Table structure for table `log_table`
--
CREATE TABLE `log_table` (
  `id` int(11) NOT NULL,
  `logtime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `ident` char(16) NOT NULL,
  `priority` int(11) NOT NULL,
  `message` varchar(200) default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `login`
--
CREATE TABLE `login` (
  `login_id` int(11) NOT NULL,
  `usr_id` int(11) default NULL,
  `date_time` datetime default NULL,
  `remote_ip` varchar(16) default NULL,
  PRIMARY KEY  (`login_id`),
  KEY `usr_login_fk` (`usr_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `login` VALUES (1,1,'2007-05-09 12:22:52','192.168.10.143'),(2,1,'2007-05-09 12:32:59','192.168.10.143'),(3,1,'2007-05-09 12:49:21','192.168.10.143'),(4,1,'2007-05-09 12:57:31','192.168.10.143'),(5,1,'2007-05-22 12:54:27','192.168.10.143'),(6,1,'2007-07-18 13:51:01','127.0.0.1');

--
-- Table structure for table `login_seq`
--
CREATE TABLE `login_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `login_seq` VALUES (6);

--
-- Table structure for table `module`
--
CREATE TABLE `module` (
  `module_id` int(11) NOT NULL default '0',
  `is_configurable` smallint(1) default NULL,
  `name` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `description` text,
  `admin_uri` varchar(255) default NULL,
  `icon` varchar(255) default NULL,
  `maintainers` text,
  `version` varchar(8) default NULL,
  `license` varchar(16) default NULL,
  `state` varchar(8) default NULL,
  PRIMARY KEY  (`module_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `module` VALUES (1,1,'block','Blocks','Use the \'Blocks\' module to configure the contents of the blocks in the left and right hand columns, or anywhere in a page.','block/block','48/module_block.png','Andrey Podshivalov',NULL,'BSD','beta'),(2,1,'default','Default','The \'Default\' module includes functionality that is needed in every install, for example, configuration and interface language manangement, and module management.','default/maintenance','48/module_default.png','Demian Turner',NULL,'BSD','beta'),(3,1,'navigation','Navigation','The \'Navigation\' module is what you use to build your site navigation, it creates menus that you can customise in terms of look and feel, and allows you to link to any site resource.','navigation/page','navigation.png','Andrey Podshivalov',NULL,'BSD','beta'),(4,1,'user','Users and Security','The \'Users and Security\' module allows you to manage all your users, administer the roles they belong to, change their passwords, setup permissions and alter the global default preferences.','user/user','48/module_user.png','Demian Turner',NULL,'BSD','beta'),(5,1,'timecut','TimeCut','A \'Time Cut\' test module.','','','OpServices',NULL,'BSD','alpha'),(6,1,'sla','Cadastro Sla','A \'Hello World\' test module.','','','Alouicious Bird',NULL,'BSD','alpha'),(7,1,'slm','Modulo SLM','A \'Hello World\' test module.','','','Alouicious Bird',NULL,'BSD','alpha'),(8,1,'NewSlm','SLM','A \'Hello World\' test module.','','','Alouicious Bird',NULL,'BSD','alpha'),(9,1,'SlaForSlm','Sla Register','A \'Sla Register\' for Slm module.','','','OpServices',NULL,'','alpha'),(10,1,'scat','Service Catalog','A \'Service Catalog Register\' for Slm module.','','','OpServices',NULL,'','alpha');

--
-- Table structure for table `module_seq`
--
CREATE TABLE `module_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `module_seq` VALUES (10);

--
-- Table structure for table `org_preference`
--
CREATE TABLE `org_preference` (
  `org_preference_id` int(11) NOT NULL default '0',
  `organisation_id` int(11) NOT NULL default '0',
  `preference_id` int(11) NOT NULL default '0',
  `value` varchar(128) default NULL,
  PRIMARY KEY  (`org_preference_id`),
  KEY `organisation_org_preference_fk` (`organisation_id`),
  KEY `preference_org_preference_fk` (`preference_id`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `organisation`
--
CREATE TABLE `organisation` (
  `organisation_id` int(11) NOT NULL default '0',
  `parent_id` int(11) NOT NULL default '0',
  `root_id` int(11) NOT NULL default '0',
  `left_id` int(11) NOT NULL default '0',
  `right_id` int(11) NOT NULL default '0',
  `order_id` int(11) NOT NULL default '0',
  `level_id` int(11) NOT NULL default '0',
  `role_id` int(11) NOT NULL default '0',
  `organisation_type_id` int(11) NOT NULL default '0',
  `name` varchar(128) default NULL,
  `description` text,
  `addr_1` varchar(128) NOT NULL default '',
  `addr_2` varchar(128) default NULL,
  `addr_3` varchar(128) default NULL,
  `city` varchar(32) NOT NULL default '',
  `region` varchar(32) default NULL,
  `country` char(2) default NULL,
  `post_code` varchar(16) default NULL,
  `telephone` varchar(32) default NULL,
  `website` varchar(128) default NULL,
  `email` varchar(128) default NULL,
  `date_created` datetime default NULL,
  `created_by` int(11) default NULL,
  `last_updated` datetime default NULL,
  `updated_by` int(11) default NULL,
  PRIMARY KEY  (`organisation_id`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `organisation_type`
--
CREATE TABLE `organisation_type` (
  `organisation_type_id` int(11) NOT NULL default '0',
  `name` varchar(64) default NULL,
  PRIMARY KEY  (`organisation_type_id`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `permission`
--
CREATE TABLE `permission` (
  `permission_id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `description` text,
  `module_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`permission_id`),
  UNIQUE KEY `name` (`name`)
) DEFAULT CHARSET=utf8;

INSERT INTO `permission` VALUES (1,'blockmgr','Permission to use block manager',1),(2,'blockmgr_cmd_add','Permission to add new block',1),(3,'blockmgr_cmd_edit','Permission to edit existing block',1),(4,'blockmgr_cmd_delete','Permission to remove block',1),(5,'blockmgr_cmd_reorder','Permission to reorder blocks',1),(6,'blockmgr_cmd_list','Permission to view block listing',1),(7,'blockmgr_cmd_insert','Permission to view block listing',1),(8,'blockmgr_cmd_update','Permission to view block listing',1),(9,'modulemgr','',2),(10,'modulemgr_cmd_add','',2),(11,'modulemgr_cmd_insert','',2),(12,'modulemgr_cmd_delete','',2),(13,'modulemgr_cmd_list','',2),(14,'modulemgr_cmd_overview','',2),(15,'modulemgr_cmd_edit','',2),(16,'modulemgr_cmd_update','',2),(17,'configmgr','',2),(18,'configmgr_cmd_edit','Permission to view and edit config settings',2),(19,'configmgr_cmd_update','Permission to update config values',2),(20,'defaultmgr','',2),(21,'defaultmgr_cmd_list','',2),(22,'bugmgr','',2),(23,'bugmgr_cmd_list',NULL,2),(24,'bugmgr_cmd_send',NULL,2),(25,'maintenancemgr_cmd_edit','',2),(26,'maintenancemgr_cmd_update','',2),(27,'maintenancemgr_cmd_append','',2),(28,'maintenancemgr_cmd_dbgen','',2),(29,'maintenancemgr_cmd_clearCache','',2),(30,'maintenancemgr_cmd_list','',2),(31,'maintenancemgr','',2),(32,'maintenancemgr_cmd_verify','',2),(33,'maintenancemgr_cmd_checkAllModules','',2),(34,'maintenancemgr_cmd_rebuildSequences','',2),(35,'maintenancemgr_cmd_createModule','',2),(36,'maintenancemgr_cmd_checkLatestVersion','',2),(37,'pearmgr','',2),(38,'pearmgr_cmd_list','',2),(39,'pearmgr_cmd_doRequest','',2),(40,'navstylemgr','',3),(41,'navstylemgr_cmd_changeStyle','',3),(42,'navstylemgr_cmd_list','',3),(43,'sectionmgr','',3),(44,'sectionmgr_cmd_add','',3),(45,'sectionmgr_cmd_insert','',3),(46,'sectionmgr_cmd_edit','',3),(47,'sectionmgr_cmd_update','',3),(48,'sectionmgr_cmd_delete','',3),(49,'sectionmgr_cmd_reorder','',3),(50,'sectionmgr_cmd_list','',3),(51,'rolemgr_cmd_duplicate','',4),(52,'accountmgr_cmd_edit','',4),(53,'accountmgr_cmd_update','',4),(54,'accountmgr_cmd_viewProfile','',4),(55,'accountmgr_cmd_summary','',4),(56,'loginmgr_cmd_login','',4),(57,'loginmgr_cmd_list','',4),(58,'orgmgr_cmd_add','',4),(59,'orgmgr_cmd_insert','',4),(60,'orgmgr_cmd_edit','',4),(61,'orgmgr_cmd_update','',4),(62,'orgmgr_cmd_delete','',4),(63,'orgmgr_cmd_list','',4),(64,'passwordmgr_cmd_retrieve','',4),(65,'passwordmgr_cmd_forgot','',4),(66,'userpasswordmgr','',4),(67,'userpasswordmgr_cmd_edit','',4),(68,'userpasswordmgr_cmd_update','',4),(69,'permissionmgr_cmd_add','',4),(70,'permissionmgr_cmd_insert','',4),(71,'permissionmgr_cmd_edit','',4),(72,'permissionmgr_cmd_update','',4),(73,'permissionmgr_cmd_delete','',4),(74,'permissionmgr_cmd_list','',4),(75,'preferencemgr_cmd_add','',4),(76,'preferencemgr_cmd_insert','',4),(77,'preferencemgr_cmd_edit','',4),(78,'preferencemgr_cmd_update','',4),(79,'preferencemgr_cmd_delete','',4),(80,'preferencemgr_cmd_list','',4),(81,'profilemgr_cmd_view','',4),(82,'registermgr_cmd_add','',4),(83,'registermgr_cmd_insert','',4),(84,'rolemgr_cmd_add','',4),(85,'rolemgr_cmd_insert','',4),(86,'rolemgr_cmd_edit','',4),(87,'rolemgr_cmd_update','',4),(88,'rolemgr_cmd_delete','',4),(89,'rolemgr_cmd_list','',4),(90,'rolemgr_cmd_editPerms','',4),(91,'rolemgr_cmd_updatePerms','',4),(92,'usermgr_cmd_add','',4),(93,'usermgr_cmd_insert','',4),(94,'usermgr_cmd_edit','',4),(95,'usermgr_cmd_update','',4),(96,'usermgr_cmd_delete','',4),(97,'usermgr_cmd_list','',4),(98,'usermgr_cmd_requestPasswordReset','',4),(99,'usermgr_cmd_resetPassword','',4),(100,'usermgr_cmd_editPerms','',4),(101,'usermgr_cmd_updatePerms','',4),(102,'userpreferencemgr_cmd_editAll','',4),(103,'userpreferencemgr_cmd_updateAll','',4),(104,'accountmgr','',4),(105,'loginmgr','',4),(106,'loginmgr_cmd_logout','',4),(107,'orgmgr','',4),(108,'orgpreferencemgr','',4),(109,'orgpreferencemgr_cmd_editAll','',4),(110,'orgpreferencemgr_cmd_updateAll','',4),(111,'passwordmgr','',4),(112,'permissionmgr','',4),(113,'permissionmgr_cmd_scanNew','',4),(114,'permissionmgr_cmd_insertNew','',4),(115,'permissionmgr_cmd_scanOrphaned','',4),(116,'permissionmgr_cmd_deleteOrphaned','',4),(117,'preferencemgr','',4),(118,'profilemgr','',4),(119,'registermgr','',4),(120,'rolemgr','',4),(121,'userimportmgr','',4),(122,'userimportmgr_cmd_list','',4),(123,'userimportmgr_cmd_insertImportedUsers','',4),(124,'usermgr','',4),(125,'usermgr_cmd_syncToRole','',4),(126,'userpreferencemgr','',4),(127,'orgtypemgr',NULL,4),(128,'orgtypemgr_cmd_add',NULL,4),(129,'orgtypemgr_cmd_insert',NULL,4),(130,'orgtypemgr_cmd_edit',NULL,4),(131,'orgtypemgr_cmd_update',NULL,4),(132,'orgtypemgr_cmd_delete',NULL,4),(133,'orgtypemgr_cmd_list',NULL,4),(134,'usermgr_cmd_requestChangeUserStatus',NULL,4),(135,'usermgr_cmd_changeUserStatus',NULL,4),(136,'usermgr_cmd_viewLogin',NULL,4),(137,'usermgr_cmd_truncateLoginTbl',NULL,4),(138,'usersearchmgr',NULL,4),(139,'usersearchmgr_cmd_add',NULL,4),(140,'usersearchmgr_cmd_search',NULL,4);

--
-- Table structure for table `permission_seq`
--
CREATE TABLE `permission_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `permission_seq` VALUES (140);

--
-- Table structure for table `preference`
--
CREATE TABLE `preference` (
  `preference_id` int(11) NOT NULL,
  `name` varchar(128) default NULL,
  `default_value` varchar(128) default NULL,
  PRIMARY KEY  (`preference_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `preference` VALUES (1,'sessionTimeout','1800'),(2,'timezone','America/Sao_Paulo'),(3,'theme','default'),(4,'dateFormat','UK'),(5,'language','pt-br-iso-8859-1'),(6,'resPerPage','10'),(7,'showExecutionTimes','1'),(8,'locale','en_GB');

--
-- Table structure for table `preference_seq`
--
CREATE TABLE `preference_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `preference_seq` VALUES (8);

--
-- Table structure for table `role`
--
CREATE TABLE `role` (
  `role_id` int(11) NOT NULL default '-1',
  `name` varchar(255) default NULL,
  `description` text,
  `date_created` datetime default NULL,
  `created_by` int(11) default NULL,
  `last_updated` datetime default NULL,
  `updated_by` int(11) default NULL,
  PRIMARY KEY  (`role_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `role` VALUES (-1,'unassigned','not assigned a role',NULL,NULL,NULL,NULL),(0,'guest','public user',NULL,NULL,NULL,NULL),(1,'root','super user',NULL,NULL,NULL,NULL),(2,'member','has a limited set of privileges',NULL,NULL,NULL,NULL);

--
-- Table structure for table `role_permission`
--
CREATE TABLE `role_permission` (
  `role_permission_id` int(11) NOT NULL default '0',
  `role_id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`role_permission_id`),
  KEY `permission_id` (`permission_id`),
  KEY `role_id` (`role_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `role_permission` VALUES (1,2,22),(2,2,21),(3,2,104),(4,2,52),(5,2,55),(6,2,53),(7,2,54),(8,2,105),(9,2,57),(10,2,56),(11,2,106),(12,2,67),(13,2,68),(14,2,77),(15,2,78),(16,2,81),(17,2,82),(18,2,83),(19,2,102),(20,2,103);

--
-- Table structure for table `role_permission_seq`
--
CREATE TABLE `role_permission_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `role_permission_seq` VALUES (20);


--
-- Table structure for table `role_seq`
--
CREATE TABLE `role_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `role_seq` VALUES (2);

--
-- Table structure for table `section`
--
CREATE TABLE `section` (
  `section_id` int(11) NOT NULL,
  `title` varchar(32) default NULL,
  `resource_uri` varchar(128) default NULL,
  `perms` varchar(32) default NULL,
  `trans_id` int(11) default NULL,
  `parent_id` int(11) default NULL,
  `root_id` int(11) default NULL,
  `left_id` int(11) default NULL,
  `right_id` int(11) default NULL,
  `order_id` int(11) default NULL,
  `level_id` int(11) default NULL,
  `is_enabled` smallint(6) default NULL,
  `is_static` smallint(6) default NULL,
  `access_key` char(1) default NULL,
  `rel` varchar(16) default NULL,
  PRIMARY KEY  (`section_id`),
  KEY `AK_key_root_id` (`root_id`),
  KEY `AK_key_order_id` (`order_id`),
  KEY `AK_key_left_id` (`left_id`),
  KEY `AK_key_right_id` (`right_id`),
  KEY `AK_id_root_l_r` (`section_id`,`root_id`,`left_id`,`right_id`),
  KEY `AK_key_level_id` (`level_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `section` VALUES (1,'root','uriEmpty:','1',1,0,0,0,0,0,0,0,0,'',''),(2,'User menu','uriEmpty:','-2',2,0,2,1,10,1,1,1,0,'',''),(4,'Admin menu','uriEmpty:','1',4,0,4,1,42,2,1,1,0,'',''),(5,'Blocks','block/block','1',5,4,4,2,5,1,2,1,NULL,NULL,NULL),(7,'Manage Blocks','block/block','1',7,5,4,3,4,1,3,1,NULL,NULL,NULL),(9,'General','default/module','1',9,4,4,6,19,2,2,1,NULL,NULL,NULL),(11,'Manage Modules','default/module','1',11,9,4,7,8,1,3,1,NULL,NULL,NULL),(13,'Configuration','default/config','1',13,9,4,9,10,2,3,1,NULL,NULL,NULL),(15,'Maintenance','default/maintenance','1',15,9,4,11,12,3,3,1,NULL,NULL,NULL),(17,'Module Generator','default/modulegeneration','1',17,9,4,13,14,4,3,1,NULL,NULL,NULL),(19,'Translation','default/translation','1',19,9,4,15,16,5,3,1,NULL,NULL,NULL),(21,'PEAR Packages','default/pear','1',21,9,4,17,18,6,3,1,NULL,NULL,NULL),(23,'Home','default/default','0',23,2,2,2,3,1,2,1,NULL,NULL,NULL),(25,'Admin Home','default/default','1',25,2,2,4,5,2,2,1,NULL,NULL,NULL),(27,'Admin','default/module','1',27,2,2,6,7,3,2,1,NULL,NULL,NULL),(29,'Navigation','navigation/section','1',29,4,4,20,23,3,2,1,NULL,NULL,NULL),(31,'Manage Navigation','navigation/section','1',31,29,4,21,22,1,3,1,NULL,NULL,NULL),(33,'Users and security','user/user','1',33,4,4,24,33,4,2,1,NULL,NULL,NULL),(35,'Manage users','user/user','1',35,33,4,25,26,1,3,1,NULL,NULL,NULL),(37,'Manage permissions','user/permission','1',37,33,4,27,28,2,3,1,NULL,NULL,NULL),(39,'Manage roles','user/role','1',39,33,4,29,30,3,3,1,NULL,NULL,NULL),(41,'Manage preferences','user/preference','1',41,33,4,31,32,4,3,1,NULL,NULL,NULL),(43,'My Account','user/account','1',43,4,4,34,41,5,2,1,NULL,NULL,NULL),(45,'Summary','user/account','1',45,43,4,35,36,1,3,1,NULL,NULL,NULL),(47,'View Profile','user/account/action/viewProfile','1',47,43,4,37,38,2,3,1,NULL,NULL,NULL),(49,'Edit Preferences','user/userpreference','1',49,43,4,39,40,3,3,1,NULL,NULL,NULL),(51,'My Account','user/account','2',51,2,2,8,9,4,2,1,NULL,NULL,NULL);

--
-- Table structure for table `section_seq`
--
CREATE TABLE `section_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `section_seq` VALUES (51);

--
-- Table structure for table `table_lock`
--
CREATE TABLE `table_lock` (
  `lockID` char(32) NOT NULL,
  `lockTable` char(32) NOT NULL,
  `lockStamp` int(11) default NULL,
  PRIMARY KEY  (`lockID`,`lockTable`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `uri_alias`
--
CREATE TABLE `uri_alias` (
  `uri_alias_id` int(11) unsigned NOT NULL default '0',
  `uri_alias` varchar(255) default NULL,
  `section_id` int(11) default NULL,
  `title` varchar(255) default NULL,
  `keywords` text,
  `description` text,
  PRIMARY KEY  (`uri_alias_id`),
  UNIQUE KEY `uri_alias` (`uri_alias`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `user_permission`
--
CREATE TABLE `user_permission` (
  `user_permission_id` int(11) NOT NULL default '0',
  `usr_id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_permission_id`),
  KEY `usr_id` (`usr_id`),
  KEY `permission_id` (`permission_id`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `user_preference`
--
CREATE TABLE `user_preference` (
  `user_preference_id` int(11) NOT NULL,
  `usr_id` int(11) NOT NULL,
  `preference_id` int(11) NOT NULL,
  `value` varchar(128) default NULL,
  PRIMARY KEY  (`user_preference_id`),
  KEY `usr_user_preference_fk` (`usr_id`),
  KEY `preference_user_preference_fk` (`preference_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `user_preference` VALUES (1,1,1,'1800'),(2,1,2,'America/Sao_Paulo'),(3,1,3,'default'),(4,1,4,'UK'),(5,1,5,'pt-br-iso-8859-1'),(6,1,6,'10'),(7,1,7,'1'),(8,1,8,'en_GB');

--
-- Table structure for table `user_preference_seq`
--
CREATE TABLE `user_preference_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `user_preference_seq` VALUES (8);

--
-- Table structure for table `user_session`
--
CREATE TABLE `user_session` (
  `session_id` varchar(255) NOT NULL,
  `last_updated` datetime default NULL,
  `data_value` text,
  `usr_id` int(11) NOT NULL default '0',
  `username` varchar(64) default NULL,
  `expiry` int(11) NOT NULL,
  PRIMARY KEY  (`session_id`),
  KEY `last_updated` (`last_updated`),
  KEY `usr_id` (`usr_id`),
  KEY `username` (`username`)
) DEFAULT CHARSET=utf8;
ALTER TABLE user_session MODIFY COLUMN data_value LONGBLOB;
--
-- Table structure for table `usr`
--
CREATE TABLE `usr` (
  `usr_id` int(11) NOT NULL default '0',
  `organisation_id` int(11) default '0',
  `role_id` int(11) NOT NULL default '0',
  `username` varchar(64) default NULL,
  `passwd` varchar(32) default NULL,
  `first_name` varchar(128) default NULL,
  `last_name` varchar(128) default NULL,
  `telephone` varchar(16) default NULL,
  `mobile` varchar(16) default NULL,
  `email` varchar(128) default NULL,
  `addr_1` varchar(128) default NULL,
  `addr_2` varchar(128) default NULL,
  `addr_3` varchar(128) default NULL,
  `city` varchar(64) default NULL,
  `region` varchar(32) default NULL,
  `country` char(2) default NULL,
  `post_code` varchar(16) default NULL,
  `is_email_public` smallint(6) default NULL,
  `is_acct_active` smallint(6) default NULL,
  `security_question` smallint(6) default NULL,
  `security_answer` varchar(128) default NULL,
  `date_created` datetime default NULL,
  `created_by` int(11) default NULL,
  `last_updated` datetime default NULL,
  `updated_by` int(11) default NULL,
  PRIMARY KEY  (`usr_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `usr` VALUES (0,1,0,'nobody','21232f297a57a5a743894a0e4a801fc3','Nobody','Nobody','','','none@none.com','none','','','None','','GB','55555',0,0,1,'rover','2003-12-09 18:02:44',1,'2004-06-10 11:07:27',1),(1,1,1,'opmonadmin','43e822cc4ef41e50b62d93fd55ea142f','OpServices','Tecnologia da Informacao',NULL,NULL,'ricardo.maraschini@opservices.com.br',NULL,NULL,NULL,NULL,NULL,'GB',NULL,NULL,1,1,'noanswer','2007-05-09 09:20:46',1,'2007-05-09 09:20:46',1);

--
-- Table structure for table `usr_seq`
--
CREATE TABLE `usr_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `usr_seq` VALUES (1);
